<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*HYPERELASTIC</TITLE>
<META NAME="description" CONTENT="*HYPERELASTIC">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node252.html">
<LINK REL="previous" HREF="node250.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node252.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html4173"
  HREF="node252.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html4169"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html4163"
  HREF="node250.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html4171"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html4174"
  HREF="node252.html">*HYPERFOAM</A>
<B> Up:</B> <A NAME="tex2html4170"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html4164"
  HREF="node250.html">*HEAT TRANSFER</A>
 &nbsp; <B>  <A NAME="tex2html4172"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION000860000000000000000"></A><A NAME="hyperelastic"></A>
<BR>
*HYPERELASTIC
</H2>

<P>
Keyword type: model definition, material

<P>
This option is used to define the hyperelastic properties of a material. There are two optional parameters. The first one defines the model and can take one of the following strings: ARRUDA-BOYCE, MOONEY-RIVLIN, NEO HOOKE, OGDEN, POLYNOMIAL, REDUCED POLYNOMIAL or YEOH. The second parameter N makes sense for the OGDEN, POLYNOMIAL and REDUCED POLYMIAL model only, and determines the order of the strain energy potential. Default is the POLYNOMIAL model with N=1.  All constants may be temperature dependent.

<P>
Let <B><IMG
 WIDTH="19" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1524.png"
 ALT="$ \bar{I}_1$"></B>,<B><IMG
 WIDTH="19" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1525.png"
 ALT="$ \bar{I}_2$"></B> and <B><IMG
 WIDTH="15" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1526.png"
 ALT="$ J$"></B> be defined by:
<BR>
<DIV ALIGN="CENTER">
<!-- MATH
 \begin{eqnarray}
\bar{I}_1&=&III_C^{-1/3} I_C \\
\bar{I}_2&=&III_C^{-1/3} II_C \\
J&=&III_C^{1/2}
\end{eqnarray}
 -->
<TABLE CELLPADDING="0" ALIGN="CENTER" WIDTH="100%">
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT"><IMG
 WIDTH="19" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1527.png"
 ALT="$\displaystyle \bar{I}_1$"></TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img902.png"
 ALT="$\displaystyle =$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="77" HEIGHT="43" ALIGN="MIDDLE" BORDER="0"
 SRC="img1528.png"
 ALT="$\displaystyle III_C^{-1/3} I_C$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
(403)</TD></TR>
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT"><IMG
 WIDTH="19" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1529.png"
 ALT="$\displaystyle \bar{I}_2$"></TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img902.png"
 ALT="$\displaystyle =$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="85" HEIGHT="43" ALIGN="MIDDLE" BORDER="0"
 SRC="img1530.png"
 ALT="$\displaystyle III_C^{-1/3} II_C$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
(404)</TD></TR>
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT"><IMG
 WIDTH="15" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1531.png"
 ALT="$\displaystyle J$"></TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img902.png"
 ALT="$\displaystyle =$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="49" HEIGHT="43" ALIGN="MIDDLE" BORDER="0"
 SRC="img1532.png"
 ALT="$\displaystyle III_C^{1/2}$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
(405)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL">

where <B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1357.png"
 ALT="$ I_C$"></B>, <B><IMG
 WIDTH="30" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1533.png"
 ALT="$ II_C$"></B> and <B><IMG
 WIDTH="39" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1534.png"
 ALT="$ III_C$"></B> are the invariants of the right Cauchy-Green deformation tensor <!-- MATH
 $C_{KL}=x_{k,K}x_{k,L}$
 -->
<B><IMG
 WIDTH="120" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1535.png"
 ALT="$ C_{KL}=x_{k,K}x_{k,L}$"></B>. The tensor <B><IMG
 WIDTH="37" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1536.png"
 ALT="$ C_{KL}$"></B> is linked to the Lagrange strain tensor <B><IMG
 WIDTH="37" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1464.png"
 ALT="$ E_{KL}$"></B> by:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
2E_{KL}=C_{KL}-\delta_{KL}
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="146" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1537.png"
 ALT="$\displaystyle 2E_{KL}=C_{KL}-\delta_{KL}$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(406)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>
where <B><IMG
 WIDTH="12" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img647.png"
 ALT="$ \delta$"></B> is the Kronecker symbol. 

<P>
The Arruda-Boyce strain energy potential takes the form:
<BR>
<DIV ALIGN="CENTER">
<!-- MATH
 \begin{eqnarray}
U&=&\mu \Bigg\{ \frac{1}{2}(\bar{I}_1-3)+\frac{1}{20\lambda_m^2}(\bar{I}_1^2-9)+\frac{11}{1050\lambda_m^4}(\bar{I}_1^3-27)  \nonumber\\&+& \frac{19}{7000\lambda_m^6}(\bar{I}_1^4-81)+\frac{519}{673750\lambda_m^8}(\bar{I}_1^5-243) \Bigg\} \\&+& \frac{1}{D} \left( \frac{J^2-1}{2} - \ln J \right) \nonumber
\end{eqnarray}
 -->
<TABLE CELLPADDING="0" ALIGN="CENTER" WIDTH="100%">
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT"><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1538.png"
 ALT="$\displaystyle U$"></TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img902.png"
 ALT="$\displaystyle =$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="348" HEIGHT="64" ALIGN="MIDDLE" BORDER="0"
 SRC="img1539.png"
 ALT="$\displaystyle \mu \Bigg\{ \frac{1}{2}(\bar{I}_1-3)+\frac{1}{20\lambda_m^2}(\bar{I}_1^2-9)+\frac{11}{1050\lambda_m^4}(\bar{I}_1^3-27)$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
&nbsp;</TD></TR>
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT">&nbsp;</TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img282.png"
 ALT="$\displaystyle +$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="301" HEIGHT="64" ALIGN="MIDDLE" BORDER="0"
 SRC="img1540.png"
 ALT="$\displaystyle \frac{19}{7000\lambda_m^6}(\bar{I}_1^4-81)+\frac{519}{673750\lambda_m^8}(\bar{I}_1^5-243) \Bigg\}$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
(407)</TD></TR>
<TR VALIGN="MIDDLE"><TD NOWRAP ALIGN="RIGHT">&nbsp;</TD>
<TD WIDTH="10" ALIGN="CENTER" NOWRAP><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img282.png"
 ALT="$\displaystyle +$"></TD>
<TD ALIGN="LEFT" NOWRAP><IMG
 WIDTH="142" HEIGHT="57" ALIGN="MIDDLE" BORDER="0"
 SRC="img1541.png"
 ALT="$\displaystyle \frac{1}{D} \left( \frac{J^2-1}{2} - \ln J \right)$"></TD>
<TD WIDTH=10 ALIGN="RIGHT">
&nbsp;</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL">

<P>
The Mooney-Rivlin strain energy potential takes the form:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
U=C_{10}(\bar{I}_1-3)+C_{01}(\bar{I}_2-3)+\frac{1}{D_1}(J-1)^2
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="316" HEIGHT="50" ALIGN="MIDDLE" BORDER="0"
 SRC="img1542.png"
 ALT="$\displaystyle U=C_{10}(\bar{I}_1-3)+C_{01}(\bar{I}_2-3)+\frac{1}{D_1}(J-1)^2$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(408)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>
The Mooney-Rivlin strain energy potential is identical to the polynomial strain energy potential for <B><IMG
 WIDTH="48" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1543.png"
 ALT="$ N=1$"></B>. 

<P>
The Neo-Hooke strain energy potential takes the form:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
U=C_{10}(\bar{I}_1-3)+\frac{1}{D_1}(J-1)^2
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="218" HEIGHT="50" ALIGN="MIDDLE" BORDER="0"
 SRC="img1544.png"
 ALT="$\displaystyle U=C_{10}(\bar{I}_1-3)+\frac{1}{D_1}(J-1)^2$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(409)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>
The Neo-Hooke strain energy potential is identical to the reduced polynomial strain energy potential for <B><IMG
 WIDTH="48" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1543.png"
 ALT="$ N=1$"></B>.

<P>
The polynomial strain energy potential takes the form:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
U=\sum_{i+j=1}^{N} C_{ij}(\bar{I}_1-3)^i(\bar{I}_2-3)^j
 +\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="349" HEIGHT="66" ALIGN="MIDDLE" BORDER="0"
 SRC="img1545.png"
 ALT="$\displaystyle U=\sum_{i+j=1}^{N} C_{ij}(\bar{I}_1-3)^i(\bar{I}_2-3)^j +\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(410)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>
In CalculiX <B><IMG
 WIDTH="48" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1546.png"
 ALT="$ N\le 3$"></B>.

<P>
The reduced polynomial strain energy potential takes the form:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
U=\sum_{i=1}^{N} C_{i0}(\bar{I}_1-3)^i +\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="275" HEIGHT="66" ALIGN="MIDDLE" BORDER="0"
 SRC="img1547.png"
 ALT="$\displaystyle U=\sum_{i=1}^{N} C_{i0}(\bar{I}_1-3)^i +\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(411)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>
In CalculiX <B><IMG
 WIDTH="48" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1546.png"
 ALT="$ N\le 3$"></B>. The reduced polynomial strain energy potential can be viewed as a special case of the polynomial strain energy potential

<P>
The Yeoh strain energy potential is nothing else but the reduced polynomial strain energy potential for <B><IMG
 WIDTH="48" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1548.png"
 ALT="$ N=3$"></B>.

<P>
Denoting the principal stretches by <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1549.png"
 ALT="$ \lambda_1$"></B>, <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1550.png"
 ALT="$ \lambda_2$"></B> and <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1551.png"
 ALT="$ \lambda_3$"></B> (<!-- MATH
 $\lambda_1^2$
 -->
<B><IMG
 WIDTH="21" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1552.png"
 ALT="$ \lambda_1^2$"></B>, <!-- MATH
 $\lambda_2^2$
 -->
<B><IMG
 WIDTH="21" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1553.png"
 ALT="$ \lambda_2^2$"></B> and <!-- MATH
 $\lambda_3^2$
 -->
<B><IMG
 WIDTH="21" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img1554.png"
 ALT="$ \lambda_3^2$"></B> are the eigenvalues of the right Cauchy-Green deformation tensor) and the deviatoric stretches by <!-- MATH
 $\bar{\lambda}_1$
 -->
<B><IMG
 WIDTH="21" HEIGHT="36" ALIGN="MIDDLE" BORDER="0"
 SRC="img1555.png"
 ALT="$ \bar{\lambda}_1$"></B>, <!-- MATH
 $\bar{\lambda}_2$
 -->
<B><IMG
 WIDTH="21" HEIGHT="36" ALIGN="MIDDLE" BORDER="0"
 SRC="img1556.png"
 ALT="$ \bar{\lambda}_2$"></B> and <!-- MATH
 $\bar{\lambda}_3$
 -->
<B><IMG
 WIDTH="21" HEIGHT="36" ALIGN="MIDDLE" BORDER="0"
 SRC="img1557.png"
 ALT="$ \bar{\lambda}_3$"></B>, where <!-- MATH
 $\bar{\lambda}_i=III_C^{-1/6}\lambda_i$
 -->
<B><IMG
 WIDTH="110" HEIGHT="43" ALIGN="MIDDLE" BORDER="0"
 SRC="img1558.png"
 ALT="$ \bar{\lambda}_i=III_C^{-1/6}\lambda_i$"></B>, the Ogden strain energy potential takes the form:
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
U=\sum_{i=1}^{N} \frac{2 \mu_i}{\alpha_i^2}(\bar{\lambda}_1^{\alpha_i}+\bar{\lambda}_2^{\alpha_i}+\bar{\lambda}_3^{\alpha_i}-3)+\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="373" HEIGHT="66" ALIGN="MIDDLE" BORDER="0"
 SRC="img1559.png"
 ALT="$\displaystyle U=\sum_{i=1}^{N} \frac{2 \mu_i}{\alpha_i^2}(\bar{\lambda}_1^{\alp...
...{\alpha_i}+\bar{\lambda}_3^{\alpha_i}-3)+\sum_{i=1}^{N}\frac{1}{D_i}(J-1)^{2i}.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(412)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The input deck for a hyperelastic material looks as follows:

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*HYPERELASTIC
</LI>
<LI>Enter parameters and their values, if needed
</LI>
</UL>

<P>
Following line for the ARRUDA-BOYCE model:

<UL>
<LI><B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img48.png"
 ALT="$ \mu$"></B>.
</LI>
<LI><!-- MATH
 $\lambda_{m}$
 -->
<B><IMG
 WIDTH="26" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1560.png"
 ALT="$ \lambda_{m}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="18" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img533.png"
 ALT="$ D$"></B>.
</LI>
<LI>Temperature
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the MOONEY-RIVLIN model:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1561.png"
 ALT="$ C_{01}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI>Temperature
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the NEO HOOKE model:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the OGDEN model with N=1:

<UL>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1562.png"
 ALT="$ \mu_{1}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{1}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1563.png"
 ALT="$ \alpha_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the OGDEN model with N=2:

<UL>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1562.png"
 ALT="$ \mu_{1}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{1}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1563.png"
 ALT="$ \alpha_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1564.png"
 ALT="$ \mu_{2}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{2}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1565.png"
 ALT="$ \alpha_{2}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following lines, in a pair, for the OGDEN model with N=3:
First line of pair:

<UL>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1562.png"
 ALT="$ \mu_{1}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{1}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1563.png"
 ALT="$ \alpha_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1564.png"
 ALT="$ \mu_{2}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{2}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1565.png"
 ALT="$ \alpha_{2}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1567.png"
 ALT="$ \mu_{3}$"></B>.
</LI>
<LI><!-- MATH
 $\alpha_{3}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1568.png"
 ALT="$ \alpha_{3}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
</UL>
Second line of pair:

<UL>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1569.png"
 ALT="$ D_{3}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this pair if needed to define complete temperature dependence.

<P>
Following line for the POLYNOMIAL model with N=1:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1561.png"
 ALT="$ C_{01}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the POLYNOMIAL model with N=2:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1561.png"
 ALT="$ C_{01}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1570.png"
 ALT="$ C_{20}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1571.png"
 ALT="$ C_{11}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1572.png"
 ALT="$ C_{02}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following lines, in a pair, for the POLYNOMIAL model with N=3:
First line of pair:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1561.png"
 ALT="$ C_{01}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1570.png"
 ALT="$ C_{20}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1571.png"
 ALT="$ C_{11}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1572.png"
 ALT="$ C_{02}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1573.png"
 ALT="$ C_{30}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1574.png"
 ALT="$ C_{21}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1575.png"
 ALT="$ C_{12}$"></B>.
</LI>
</UL>
Second line of pair:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1576.png"
 ALT="$ C_{03}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1569.png"
 ALT="$ D_{3}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this pair if needed to define complete temperature dependence.

<P>
Following line for the REDUCED POLYNOMIAL model with N=1:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the REDUCED POLYNOMIAL model with N=2:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1570.png"
 ALT="$ C_{20}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the REDUCED POLYNOMIAL model with N=3:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1570.png"
 ALT="$ C_{20}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1573.png"
 ALT="$ C_{30}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1569.png"
 ALT="$ D_{3}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
Following line for the YEOH model:

<UL>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img889.png"
 ALT="$ C_{10}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1570.png"
 ALT="$ C_{20}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="29" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1573.png"
 ALT="$ C_{30}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1566.png"
 ALT="$ D_{2}$"></B>.
</LI>
<LI><B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1569.png"
 ALT="$ D_{3}$"></B>.
</LI>
<LI>Temperature.
</LI>
</UL>
Repeat this line if needed to define complete temperature dependence.

<P>
<PRE>
Example:

*HYPERELASTIC,OGDEN,N=1
3.488,2.163,0.
</PRE>

<P>
defines an ogden material with one term: <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1562.png"
 ALT="$ \mu_{1}$"></B> = 3.488, <!-- MATH
 $\alpha_{1}$
 -->
<B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1563.png"
 ALT="$ \alpha_{1}$"></B> = 2.163, <B><IMG
 WIDTH="25" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img890.png"
 ALT="$ D_{1}$"></B>=0. Since the compressibility coefficient was chosen to be zero, it will be replaced by CalculiX by a small value to ensure some compressibility to guarantee convergence (cfr. page <A HREF="node135.html#hel"><A HREF="node135.html#hel"><IMG  ALIGN="BOTTOM" BORDER="1" ALT="[*]"
 SRC="file:/usr/share/latex2html/icons/crossref.png"></A></A>).

<P>

<P><P>
<BR>
Example files: beamnh, beamog.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html4173"
  HREF="node252.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html4169"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html4163"
  HREF="node250.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html4171"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html4174"
  HREF="node252.html">*HYPERFOAM</A>
<B> Up:</B> <A NAME="tex2html4170"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html4164"
  HREF="node250.html">*HEAT TRANSFER</A>
 &nbsp; <B>  <A NAME="tex2html4172"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
